/*
 * Copyright (C) 2000-2004 by ETH Zurich
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY ETH ZURICH AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ETH ZURICH
 * OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.btnode.ethz.ch
 *
 */
 
 /**
 * @file cc/cc1000.h
 *
 * @brief Chipcon CC1000 driver
 * 
 *
 * 2004/06/19 Matthias Ringwald <mringwal@inf.ethz.ch>
 *
 */

#ifndef _CC_CC1000_H_
#define _CC_CC1000_H_

// Assistant functions for delaying.
// delay in the microsecond level
u_char delay_time(int u_sec);	

// Configuration APIs

// init the radio with specific frequency
void cc1000_init(u_char freq);

// set the radio to specific frequency
void cc1000_set(u_char freq);

void cc1000_calibrate(void);
void cc1000_config(u_char count, short configuration[]);
void cc1000_write(u_char addr, u_char data);
u_char cc1000_read(u_char addr);

void cc1000_rxmode(void);
void cc1000_txmode(void);

int  cc1000_is_sleeping(void);
void cc1000_sleep(void);
void cc1000_wakeup(void);
void cc1000_on(void);

void cc1000_SPI_init(void);

// from cc1000_tuner.c
uint32_t cc1000_tune_manual(uint32_t DesiredFreq); 

#endif /* _CC_CC1000_H_ */
