#include <string.h>
#include <terminal/btn-terminal.h>
#include <cdist/cdist.h>
#include <mhop/rpc.h>
#include <terminal/rpc-cmds.h>
 
#define CDIST_CMD_NONE 0 
#define CDIST_CMD_ON   1
#define CDIST_CMD_OFF  2
#define CDIST_CMD_RUN  3 
 
u_char _cdist_cmd_proc_nr;
 
u_char _cdist_proc(char* query, u_char query_len, void* arg, \
                        u_char* result, u_char* result_len)
{
    switch(query[0]){
        case CDIST_CMD_ON:
            cdist_on();
            break;
        case CDIST_CMD_OFF:
            cdist_off();
            break;
        case CDIST_CMD_RUN:
            cdist_run();
            break;
    }
    return 0;    
}
 
void _cdist_cmds(char * arg){
    u_char query = CDIST_CMD_NONE;
    if (!strncmp(arg, "on", 2)){
        query = CDIST_CMD_ON;
    } else if (!strncmp(arg, "off", 3)){
        query = CDIST_CMD_OFF;
    } else if (!strncmp(arg, "run", 3)){
        query = CDIST_CMD_RUN;
    }
    if(query == CDIST_CMD_NONE){
        tprintf("usage: cdist on|off|run\n");
    }
    else{
        rpc_handle_query(_cdist_cmd_proc_nr, &query, 1);
    }    
}

void cdist_cmds_register_cmds(void)
{
    rpc_register_proc(&_cdist_cmd_proc_nr,
                      _cdist_proc, NULL,
                      NULL , NULL);    
    
    btn_terminal_register_cmd("cdist", _cdist_cmds);
}
